Subject: Re: [PATCH 00/17] Fixes and improvements for ref consistency checks

From: shejialuo <[email-masked]>
Date: Sat, 10 Jan 2026 21:37:14 +0800

On Fri, Jan 09, 2026 at 01:39:29PM +0100, Patrick Steinhardt wrote:
> Hi,
> 
> this patch series contains a bunch of fixes and improvements for ref
> consistency checks. It is structured as follows:
> 
>   - Patches 1 to 4 contain a couple of cleanups for the consistency
>     checks done by the "files" backend.
> 
>   - Patches 5 to 7 introduce checks for root refs for the "files"
>     backend.
> 
>   - Patches 9 to 14 introduce infrastructure for shared checks with the
>     "files" and "reftable" backend.
> 
>   - Patches 15 to 17 move some ref consistency checks that were still
>     driven by git-fsck(1) into `git refs verify`.
> 
> Thanks!
> 
> Patrick

I left some comments. In conclusion, I very appreciate the direction to
share the common logic for both "files" backend and "reftable" backend.
And also, we could check the correctness of `HEAD` to make the ref
subsystem self-contained.

Thanks,
Jialuo